import { IGridSelection, IGridSelectionProps } from './types';
import { IGridInnerColumn } from './Grid';
export declare function groupedColumns<Data>(columns: Array<IGridInnerColumn<Data>>, currentRow?: number, parentColumn?: IGridInnerColumn<Data>, rows?: Array<Array<IGridInnerColumn<Data>>>): IGridInnerColumn<Data>[];
export declare function getLeafColumns<Data>(columns: Array<IGridInnerColumn<Data>>): IGridInnerColumn<Data>[];
export declare function needFixBatchComps(isTableInView: boolean, isHeaderInView: boolean, isFootInView: boolean): boolean;
export declare function isElementInView(el: Element, offset?: number): boolean;
export declare function mapDOMNodes<T extends Node, V>(nodes: NodeListOf<T>, callback: (val: T, idx: number) => V): V[];
export declare function getCompatSelectionPropsFn<Data, Key>(selection?: IGridSelection<Data, Key>): IGridSelection['getSelectionProps'] | undefined;
export declare function getSelectAllCheckboxState<Data>(datasets: ReadonlyArray<Data>, getRowIndex: (row: Data, idx: number) => string | number, getRowSelectionState: (row: Data, idx: number | string) => Partial<IGridSelectionProps>): {
    enabledRows: Data[];
    disabledRows: Data[];
    allDisabled: boolean;
};
